aboutsummaryrefslogtreecommitdiff
path: root/dns/maradns/files/maradns.sh.sample
diff options
context:
space:
mode:
Diffstat (limited to 'dns/maradns/files/maradns.sh.sample')
-rw-r--r--dns/maradns/files/maradns.sh.sample20
1 files changed, 20 insertions, 0 deletions
diff --git a/dns/maradns/files/maradns.sh.sample b/dns/maradns/files/maradns.sh.sample
new file mode 100644
index 000000000000..f7ef9a47d951
--- /dev/null
+++ b/dns/maradns/files/maradns.sh.sample
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"); then
+ echo "$0: Cannot determine the PREFIX" >&2
+ exit 1
+fi
+
+case "$1" in
+start)
+ [ -x ${PREFIX}/sbin/maradns ] && ${PREFIX}/sbin/maradns > /var/log/maradns.log & && echo -n ' maradns'
+ ;;
+stop)
+ killall maradns && echo -n ' maradns'
+ ;;
+*)
+ echo "Usage: `basename $0` {start|stop}" >&2
+ ;;
+esac
+
+exit 0